Subject: bug#63469: 29.0.90; project.el doesn't add menu-bar entries

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 May 2023 14:17:09 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 23 May 2023 09:52:13 +0300
> 
> > This might get crowded when there's also the VC modeline indicator.
> 
> To get it less crowded the VC modeline indicator could be shorter.
> For most projects there is no need to show the backend name all the time.
> So instead of "Git-emacs-29" better to add a user option to be able
> to keep only the branch name, i.e. in 'vc-default-mode-line-string'
> such hard-coded string should be customizable:

Maybe the customizable user option should leave to the user whether to
show the VC info, the project info, or both?